Git Repository in Redmine Projekte integrieren
Status: Closed Start date: 05/29/2012

Priority: Medium Due date:  

Assignee: Redmine Admin % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Das vorhandene git-Repository soll in Redmine integriert werden

und zwar nach folgenden Anleitungen

1. Verzeichnis vorbereiten

2. Repository clonen mit mirror

3. Redmine für Aktualisierungen vorbereiten

4. Post-Receive Hook für Repository Aktualisierung einrichten

Die zweite Version des Hooks unter Only update relevant project verwenden und in das bereits bestehende Repository

integrieren

5. (optinal) den Hook in gitolite für alle weiteren noch zu erstellenden Repositories integrieren 

http://sitaramc.github.com/gitolite/cust.html#hooks

History

#1 - 05/29/2012 11:41 PM - Johannes Thorn

- Assignee set to Redmine Admin

#2 - 06/21/2012 10:31 PM - Johannes Thorn

- Status changed from New to In Progress

Ich habe nun die Integration in Redmine getestet.

Es wird auch der derzeitige Inhalt an Dateien und Verzeichnisse angezeigt, leider fehlt jedoch die Ansicht der vergangenen und aktuellsten

Revisionen.

Matthias sagte zu der Integration bei sich:

Unter Administration/Settings/Repositories gibt es "Fetch commits automatically", das ist bei mir aktiv

 

Ansonsten habe ich noch keine weiteren Erkenntnisse dazu.

#3 - 06/21/2012 11:02 PM - Redmine Admin

"Fetch commits automatically", war hier inaktiv

So ok?

#4 - 06/22/2012 12:20 AM - Johannes Thorn
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Local-environment-setup
http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Setting-up-a-mirror-repository-shortcut-tracking-branches
http://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit#Step-1-configure-Redmine-to-accept-the-request
http://www.redmine.org/projects/redmine/wiki/HowTo_setup_automatic_refresh_of_repositories_in_Redmine_on_commit#Git
http://sitaramc.github.com/gitolite/cust.html#hooks


Ja so sieht es besser aus.

Im Moment sieht es so aus, als ob es so funktionieren würde. Zumindest gibt es nun Revisionen.

Danke

#5 - 06/22/2012 10:14 AM - Redmine Admin

- Status changed from In Progress to Closed

#6 - 06/25/2012 07:32 PM - Eike von Tils

Bei uns scheint es ein Problem zu geben:

Die Projektarchiv-Ansicht wird nicht aktualisiert, bzw. der aktuelle Stand des Repositories nicht dargestellt.

#7 - 06/25/2012 09:30 PM - Johannes Thorn

- Status changed from Closed to New

Auch im MFS_Passat Projekt besteht das Problem, dass kein Aktualisieren stattfindet.

#8 - 07/11/2012 08:54 AM - Eike von Tils

Im Optimizer Projekt funktionieren nun folgende Dinge:

Anzeigen von Revisionen unter Aktivitäten

Anzeigen von Revisionen bei den zugehörigen Tickets

Anzeigen der Revisionen im Projektarchiv

Mir sind, derzeit, keine weiteren Probleme bekannt.

Vielen Dank

#9 - 07/13/2012 06:46 PM - Johannes Thorn

- Status changed from New to Closed

Auch das Projekt Passat ist zum Schluss gekommen, dass es nach der Hook-Änderung jetzt wohl klappt.

Powered by TCPDF (www.tcpdf.org)

05/03/2024 2/2

http://www.tcpdf.org

